Subject: Re: bug#19009: Buffer tabs in tabbar mode almost hidden in current trunk (OSX)

From: Stefan Kangas <[email-masked]>
Date: Sat, 29 Feb 2020 19:27:21 +0100

Hi Angelo,

Are you still seeing this?  Have you reported the bug to the authors
of tabbar-mode?

To make any progress here, we would need a (preferably minimal) recipe
to reproduce the bug on a stock Emacs rather than having to install
and debug a third party package.

Best regards,
Stefan Kangas

Angelo Graziosi <[email-masked]> writes:

> It seems that this issue is OSX related because I have tried with current
> "master" [*], commit:
>
>   Paul Eggert 2014-11-13 06:34:52 (GMT)
>
>
> on Cygwin and buffer tabs are always visible. Instead, on OSX 10.10, the issue
> is still there..
>
> Anyway, here there are some more informations.
>
> I have the desktop save mode enabled so that I start Emacs with the buffers of
> last session. If I short-circuit the desktop file,
>
>   mv desktop desktop-save
>
> and then restore all the buffers (C-x C=f ...), the buffer tabs are all visible
> correctly. After exiting from Emacs and saving the desktop, restarting Emacs
> shows the issue again.
>
> BUT, if I increase the frame height, say of one line, and decrease the height
> still one line (dragging the frame bottom with the mouse), the buffer tabs are
> visible! I have to repeat this each time I start Emacs...
>
> This occurs with recent masters, say after Nov. 10.
>
> Ciao,
>  Angelo.
>
> ---
> [*] http://git.savannah.gnu.org/cgit/emacs.git/snapshot/emacs-master.tar.gz
>
>
> Il 10/11/2014 15:14, Angelo Graziosi ha scritto:
>> It is a long time I had installed the tabbar package from ELPA/MELPA.
>> The tabs haven't a fine look but work quit well..
>>
>> ..only.. that today, with current trunk (commit: Glenn Morris 2014-11-10
>> 07:39:35 (GMT)), they are almost completely overlapped from Emacs tool
>> bar icons, at least on OSX 10.10, and tabbar mode is unusable...
>>
>>
>> Ciao,
>> Angelo.